module DefaultValidations
  module Configuration
    extend ActiveSupport::Concern
    include ActiveSupport::Configurable

    included do
      config_accessor :enabled, :models, :excluded_models, :ignore_carrierwave_uploaders, :string_length, :integer_max_value, :validate_strings, :validate_integers

      self.configure do |config|
        config.validate_strings = true
        config.validate_integers = true
        config.enabled = true
        config.models = []
        config.excluded_models = []
        config.ignore_carrierwave_uploaders = false
        config.string_length = 255
        config.integer_max_value = 2147483647
      end
    end
  end
end
